/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

void QFeynCADTabDialog::init() {
  // We get rid of the initial spurious page
  while (this->TabWidget->count())
      this->TabWidget->removePage(this->TabWidget->currentPage());
  connect(this->PushButtonApply,SIGNAL(clicked()),
	  this,SIGNAL(applyButtonPressed()));
  connect(this->PushButtonClose,SIGNAL(clicked()),
	  this,SIGNAL(cancelButtonPressed()));
}

QWidget* QFeynCADTabDialog::currentPage()
{ return this->TabWidget->currentPage(); }

void QFeynCADTabDialog::addTab( QWidget * child, const QString & label )
{ return this->TabWidget->addTab(child,label); }

void QFeynCADTabDialog::activateApply()
{ this->PushButtonApply->setEnabled(true); return; }

void QFeynCADTabDialog::deactivateApply()
{ this->PushButtonApply->setEnabled(false); return; }

void QFeynCADTabDialog::activateClose()
{ this->PushButtonClose->setEnabled(true); return; }

void QFeynCADTabDialog::deactivateClose()
{ this->PushButtonClose->setEnabled(false); return; }
