/*
 QFeynCADSignatureEdit.ui.h
 Copyright (C) 1999-2004 Paolo Ribeca

 This file is part of FeynCAD package.

 FeynCAD is free software;
 you can redistribute it and/or modify it under the terms
 of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with FeynCAD; see the file COPYING.
 If not, write to the Free Software Foundation,
 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

void QFeynCADSignatureEdit::setTo(const QString& fileName,const QString& author,const QString& creation,const QString& modification,const QString& comments) {
  this->TextLabel1->setText(fileName);
  this->LineEdit1->setText(author);
  this->TextLabel2->setText(creation);
  this->TextLabel3->setText(modification);
  this->TextEdit1->setText(comments);
  return;
}

void QFeynCADSignatureEdit::emitSignatureModified() {
  emit signatureModified(this->LineEdit1->text(),this->TextEdit1->text());
  return;
}

void QFeynCADSignatureEdit::activateApply() {
  if (!this->PushButtonApply->isEnabled())
      this->PushButtonApply->setEnabled(true);
  return;
}
